/*
 *   copyright            : (C) 2001 by Richard Moore
 *   email                : rich@kde.org
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <dcopclient.h>

#include "logtracker.h"

static const char *description =
	I18N_NOOP("LogTracker");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "logtracker", I18N_NOOP("LogTracker"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Richard Moore", 0, 0, "rich@kde.org");
  aboutData.addAuthor("Richard Moore",0, "rich@kde.org");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  LogTracker *logtracker = new LogTracker();
  logtracker->resize( 500, 340 );

  a.setMainWidget(logtracker);
  QObject::connect( &a, SIGNAL( lastWindowClosed() ), &a, SLOT(quit()) );
  logtracker->show();  

  a.dcopClient()->registerAs( a.name() );

  return a.exec();
}
